
all: help

prepare:
	pipenv install

watch: ## run development server
	pipenv run honcho start 

watch-mkdocs:
	pipenv run mkdocs serve --dev-addr 0.0.0.0:5001

serve: watch

tocupdate: 
	while inotifywait -q -e move -e modify -e create -e attrib -e delete -r docs ; do \
		sleep 1 ; \
		pipenv run ./scripts/update-toc ; \
	done

build:## build static pages
	pipenv run mkdocs build

install: ## deploy static pages to github
	git push
	pipenv run mkdocs gh-deploy

help: ## print this help
	@echo "Usage: make <target>"
	@echo ""
	@echo "With one of following targets:"
	@echo ""
	@awk 'BEGIN {FS = ":.*?## "} \
	  /^[a-zA-Z_-]+:.*?## / \
	  { sub("\\\\n",sprintf("\n%22c"," "), $$2); \
		printf("\033[36m%-20s\033[0m %s\n", $$1, $$2); \
	  }' $(MAKEFILE_LIST)
	@echo ""

